"use strict";

var _interopRequireWildcard = require("reshow-runtime/helpers/interopRequireWildcard");
exports.__esModule = true;
exports.getClassReg = void 0;
var _getSafeReg = _interopRequireWildcard(require("get-safe-reg"));
var getRegString = function getRegString(name) {
  return "(?:^|\\s+)" + (0, _getSafeReg["default"])(name) + "(?:\\s+|$)";
};
var cache = (0, _getSafeReg.cacheReg)({})(getRegString);
var getClassReg = exports.getClassReg = function getClassReg(name) {
  return cache(name);
};