"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _getClassReg = require("./getClassReg.js");
var _hasClass = _interopRequireDefault(require("./hasClass.js"));
//@ts-check

/**
 * @param {string} classes
 * @param {string} name
 * @returns {string}
 */
var removeClass = function removeClass(classes, name) {
  if (classes && (0, _hasClass["default"])(classes, name)) {
    classes = classes.replace((0, _getClassReg.getClassReg)(name), " ").replace(/(^\s+)|\s+$/g, "");
    if ((0, _hasClass["default"])(classes, name)) {
      // in case of multiple adjacent
      classes = removeClass(classes, name);
    }
  }
  return classes;
};
var _default = exports["default"] = removeClass;
module.exports = exports.default;