"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _hasClass = _interopRequireDefault(require("./hasClass.js"));
var _removeClass = _interopRequireDefault(require("./removeClass.js"));
var _mixClass = _interopRequireDefault(require("./mixClass.js"));
//@ts-check

/**
 * @param {string} classes
 * @param {string} name 
 * @returns {string} 
 */
var toggleClass = function toggleClass(classes, name) {
  if ((0, _hasClass["default"])(classes, name)) {
    classes = (0, _removeClass["default"])(classes, name);
  } else {
    classes = (0, _mixClass["default"])(classes, name);
  }
  return classes;
};
var _default = exports["default"] = toggleClass;
module.exports = exports.default;