//@ts-check

import hasClass from "./hasClass.mjs";
import removeClass from "./removeClass.mjs";
import mixClass from "./mixClass.mjs";

/**
 * @param {string} classes
 * @param {string} name 
 * @returns {string} 
 */
var toggleClass = function toggleClass(classes, name) {
  if (hasClass(classes, name)) {
    classes = removeClass(classes, name);
  } else {
    classes = mixClass(classes, name);
  }
  return classes;
};
export default toggleClass;