"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _strToArray = require("./strToArray.js");
//@ts-check

/**
 * @param {string} prefix
 * @param {string} className
 * @returns {string}
 */
var prefixClass = function prefixClass(prefix, className) {
  var classes = (0, _strToArray.strToArray)(className);
  return classes.map(function (c) {
    return prefix + c;
  }).join(" ");
};
var _default = exports["default"] = prefixClass;
module.exports = exports.default;