//@ts-check

import { strToArray } from "./strToArray.mjs";

/**
 * @param {string} prefix
 * @param {string} className
 * @returns {string}
 */
var prefixClass = function prefixClass(prefix, className) {
  var classes = strToArray(className);
  return classes.map(function (c) {
    return prefix + c;
  }).join(" ");
};
export default prefixClass;