//@ts-check

import { getClassReg } from "./getClassReg.mjs";
import hasClass from "./hasClass.mjs";

/**
 * @param {string} classes
 * @param {string} name
 * @returns {string}
 */
var removeClass = function removeClass(classes, name) {
  if (classes && hasClass(classes, name)) {
    classes = classes.replace(getClassReg(name), " ").replace(/(^\s+)|\s+$/g, "");
    if (hasClass(classes, name)) {
      // in case of multiple adjacent
      classes = removeClass(classes, name);
    }
  }
  return classes;
};
export default removeClass;