//@ts-check

import { wildcardSearch } from "get-safe-reg";
import { NEW_OBJ } from "reshow-constant";
import { strToArray } from "./strToArray.mjs";

/**
 * @param {string=} className
 * @returns {{[key: string]: any}}
 */
export var toTailwindObj = function toTailwindObj(className) {
  var classes = strToArray(className);
  var r = NEW_OBJ();
  classes.forEach(function (item) {
    var parseResult = wildcardSearch(item, ":key-:val");
    if ( /** @type {object} */parseResult.key) {
      var oParseResult = /** @type {object} */parseResult;
      r[oParseResult.key] = oParseResult.val;
    } else {
      r[item] = true;
    }
  });
  return r;
};